extends Control

var ref_data

func _ready():
	ref_data = Data.data['iconData']['25-1566596599330.png'] 

func _on_ImageTexture1_pressed():
	var image = Image.new()
	image.load_png_from_buffer(Marshalls.base64_to_raw(ref_data))
	
	$Icon.texture = image

func _on_ImageTexture2_pressed():
	var image = Image.new()
	image.load_png_from_buffer(Marshalls.base64_to_raw(ref_data))

	var it = ImageTexture.new()
	var texture = it.create_from_image(image)

	$Icon.set_texture(texture)

func _on_Reset_pressed():
	$Icon.texture = load("res://icon.png")
	$Sprite.texture = null

func _on_FromSave_pressed():
	var file = File.new()
	file.open("res://temp.png", File.WRITE)
	file.store_buffer(Marshalls.base64_to_raw(ref_data))
	file.close()
	
	$Icon.texture = load("res://temp.png")
	$Sprite.texture = load("res://temp.png")

